// common.js

function toggleAll() {
	var elemId, elem, sub, index, table, tables, t;
	toggleDisplay('SourcesMenu');
	toggleDocsTable('products_cell', 'arrow_cell');
	tables = document.body.getElementsByTagName('table');
	for (t=0; t<tables.length; t++) {
		elemId=tables[t].getAttribute('id');
		if (elemId != null)
		{
	 		if ((index=elemId.indexOf('_checkbox_table')) != -1) {
				sub=elemId.substring(0, index);
				toggleTableDisplay(sub+'_specific',elemId);
			}
			else if ((index=elemId.indexOf('_table')) != -1) {
				sub=elemId.substring(0, index);
				toggleTableDisplay(sub, elemId);
			}
		}
	}
	table = document.getElementById('SourcesMenu');
	elem = document.getElementById('options');
	if (table.style.display=="none")
	{
		elem.innerHTML='['+showoptions+']';
	}
	else
	{
		elem.innerHTML='['+hideoptions+']';
	}
	elem = document.getElementsByName('query');
	elem[0].focus();
}

function toggleSearchTables()
{
	var tables, t, elemId, index, sub;
	tables = document.body.getElementsByTagName('table');
	for (t=0; t<tables.length; t++) {
		elemId=tables[t].getAttribute('id');
		if (elemId != null)
		{
	 		if ((index=elemId.indexOf('_checkbox_table')) != -1) {
				continue;
				}
			else if ((index=elemId.indexOf('_table')) != -1) {
				sub=elemId.substring(0, index);
				toggleTableDisplay(sub, elemId);
				}
			}
		}
}

function toggleDisplay(item) {
    var elem = document.getElementById(item);
  	if(elem.style.display=="none")
  		elem.style.display="";
  	else
  		elem.style.display="none";
}

function toggleTableDisplay(comparisonElement, item) {
		var elem = document.getElementById(item);
		for(i=0; i<document.SearchForm.elements.length; i++){
			if(document.SearchForm.elements[i].value == comparisonElement) {
				if(	document.SearchForm.elements[i].checked == true)
					elem.style.display="";	
				else
	  				elem.style.display="none";
	  			break;
	  		}		
		}	
}

function toggleAllProductTables()
{
	var prods, tables, t, elemId, index, sub;
	prods=document.getElementById('products_cell');
	tables=prods.getElementsByTagName('table');
	for (t=0; t<tables.length; t++) {
		elemId=tables[t].getAttribute('id');
		if (elemId.indexOf('_checkbox_table') != -1) {
			continue;
			}
		else {
			index=elemId.indexOf('_table');
			sub=elemId.substring(0, index);
			toggleTableDisplay(sub, elemId);
			}
	}
}

function toggleDocsTable(item, item2) {
	var elem1, elem2, currentElem;
	elem1 = document.getElementById(item);
	elem2 = document.getElementById(item2);
	if (elem1 != null) //verify dBlue is even in the picture
	{
		for(i=0; i<document.SearchForm.elements.length; i++){
			currentElem=document.SearchForm.elements[i];
			if(currentElem.value == "dBlue" ) {
				toggleDocsTableColor('dBlue_cell', currentElem);
				if(	document.SearchForm.elements[i].checked == true){
					elem1.style.display="";
					elem2.style.display="";
				}	
				else {
	  				elem1.style.display="none";
	  				elem2.style.display="none";
	  			}
		  		break;
		  	}		
		}
	}
}

function toggleDocsTableColor(item, checkbox)
{
	var elem;
	elem = document.getElementById(item);
	if (checkbox.checked == false)
	{
		elem.style.background="#dddddd";
	}
	else
	{
		elem.style.background="#ffffff";
	}
}

function selectAllCheckboxes(item)
{
	var elem, checkboxes, t;
	elem = document.getElementById(item);
	checkboxes=elem.getElementsByTagName('input');
	for (t=0; t<checkboxes.length; t++) {
		checkboxes[t].checked = true;
	}
}

function checkSelection(elem)
{
	var checkboxes, t, allUnChecked, radios, sub;
	if (elem.checked == false)
	{
		allUnChecked=true;
		checkboxes=document.getElementsByName(elem.name);
		for (t=0; t<checkboxes.length; t++) {
			if (checkboxes[t].checked == true)
			{
				allUnChecked=false;
				break;
			}
		}
		if (allUnChecked)
		{
			sub=elem.name.split('_');
			radios=document.getElementsByName(sub[0]+'_radio');
			for (t=0; t<radios.length; t++)
			{
				if (radios[t].value == "_any")
				{
					radios[t].checked = true;
				}
				else
				{
					radios[t].checked = false;
				}
			}
			toggleTableDisplay(sub[0]+'_specific', sub[0]+'_checkbox_table');
		}
	}
}

function selectAllLocations()
{
	var checkboxes, t, elem;
	checkboxes=document.getElementsByName('searchLocations');
	for (t=0; t<checkboxes.length; t++) {
		elem=checkboxes[t];
 		elem.checked = true;
	}
	toggleSearchTables(); 
	toggleDocsTable('products_cell', 'arrow_cell');
}

function selectAllProducts()
{
	var checkboxes, t, elem;
	checkboxes=document.getElementsByName('products');
	for (t=0; t<checkboxes.length; t++) {
		elem=checkboxes[t];
 		elem.checked = true;
	}
	toggleAllProductTables();
}
