/*******************************************************************************
 * Copyright (c) 2004, 2005 IBM Corporation.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Sample Code License
 *
 *******************************************************************************/
package com.ibm.sample.helloworld;

import org.eclipse.jface.resource.ImageDescriptor;
import com.ibm.samplegallery.wizards.ExampleProjectCreationWizard;

/**
 * Wizard used for creating the HelloWord sample.
 * Most functionality is inherited from ExampleProjectCreationWizard.
 */
public class HelloWorldProjectCreationWizard extends ExampleProjectCreationWizard {

	public HelloWorldProjectCreationWizard() {
		super();
		setDialogSettings(HelloWorldPlugin.getDefault().getDialogSettings());
		setNeedsProgressMonitor(true);
	}
	
	/* (non-Javadoc)
	 * @see com.ibm.samplegallery.wizards.ExampleProjectCreationWizard#getImageDescriptor(java.lang.String)
	 */
	protected ImageDescriptor getImageDescriptor(String banner) {
		return HelloWorldPlugin.getDefault().getImageDescriptor(banner);
	}
}
